﻿using Infragistics.Windows.DataPresenter.Events;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace test
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public List<Foo> foos { get; set; }

        public MainWindow()
        {
            foos = new List<Foo>
            {
                new Foo() { name = "hi", bars = new List<Bar> { new Bar() { count = 1 } } },
                new Foo() { name = "mom", bars = new List<Bar> { new Bar() { count = 2 }, new Bar() {count = 2 } } },
                new Foo() { name = "hello", bars = new List<Bar> { new Bar() { count = 3 }, new Bar() {count = 3 }, new Bar() { count = 3 } } }
            };

            DataContext = this;
            InitializeComponent();
        }

        private void XamDataGrid_QuerySummaryResult(object sender, QuerySummaryResultEventArgs e)
        {
            var items = thegrid.DataSource as IEnumerable<Foo>;

            // want to sum up the count on the bars collection, but which Foo am I calculating a summary for???
            e.SetSummaryValue("help");
        }
    }
}
